%%*************     AFFICHAGE     *****************

    hold on
    set(hdl.txt_editcoupe,'string',num2str(coupe));

    M_vol   = Volume(Num_vol).M;
    M_base  = Volume(Num_vol).M_base;
    M_rot   = Volume(Num_vol).M_rot;
    M_slice = spm_matrix([0 0 Volume(Num_vol).coupe]);

 %   mmm = inv(M_vol)*M_rot*M_base*M_slice;
    mmm = M_rot*M_slice;

    dim = Volume(Num_vol).Vol.dim(1:3);
    dim = dim*M_rot(1:3,1:3);

    slice = (spm_slice_vol(Volume(Num_vol).Vol,mmm,dim(1:2),0));

    set(hdl.Im,'CData',slice);

    str = ['/' num2str(dim(3))];
    set (hdl.txtcoupe,'string',str);

    if ~isempty(Pos)
	M_rot = M_rot(1:3,1:3);
	%pp = Pos*inv(M_rot);
	pp = Pos*(M_rot);

	ind_pp = (round(pp(:,3)) == coupe);
       set(hdl.Pos,'visible','off' );
       set(hdl.Pos,'Xdata',pp(ind_pp,2),'Ydata',pp(ind_pp,1),'visible','on' );
      
    end
    
    if hdl.Bw
       figure(hdl.Bw);
       hold off
       imagesc(Bw(:,:,coupe));
    end
    
    if ~isempty(Cont)
       Cont = contourc(Bw(:,:,coupe),1);  Cont(:,1)=[];
       set(hdl.Cont,'Xdata',Cont(1,:),'Ydata',Cont(2,:));
    end
    if hdl.grill(1)
       set(hdl.grill,'visible','off')
       set(hdl.grill,'visible','on')
    end
    
 
if exist('realy_refresh')

  set(hdl.Im ,'visible','off');
	set(hdl.Pos ,'visible','off');
	set(hdl.grill,'visible','off');
   set(hdl.Im ,'visible','on');
	set(hdl.Pos ,'visible','on');
	set(hdl.grill,'visible','on');
end